# Telit Communications S.p.A.
# 01/06/2010 - Luca Cabriolu
#
# This python script is used to manage SE867-AGPS module through GE865-QUAD.
# It creates a passthrough between the two modules above (GE865 ASC1 serial connected to SE867 module and CMUX0 channel on GE865 ASC0)
#
#

import MOD
import MDM
import SER
import SER2

# MAIN

#buffers 
mdmbuf = ''
gpsbuf = ''

mdm = SER.set_speed('115200','8N1')
gps = SER2.set_speed('9600','8N1')

print 'ASC0 and ASC1 serials speed changed'

# CMUX should be enabled at startup with at#cmuxscr=1,115200 command


while (1):
	#gpsbuf = SER2.read()
	gpsbuf = SER2.receive(10)
	
	if gpsbuf != '':
		SER.send(gpsbuf)

	MOD.sleep(2)	
